<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="6047a167-18d5-4f8e-a170-63c3fd101bda" name="Changes" comment="优化镜像同步的内容">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.run/DCU-中间件.run.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.run/DCU-中间件-35.80.run.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.run/DCU全部CMII镜像.run.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.run/DCU-CMII-35.80.run.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.run/Middle镜像-35.70.run.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.run/Middle镜像-35.70.run.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.run/Middle镜像-ARM-11.8.run.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/agent-deploy/a_dashboard/TemplateK8SDashboard.go" beforeDir="false" afterPath="$PROJECT_DIR$/agent-deploy/a_dashboard/TemplateK8SDashboard.go" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/agent-deploy/c_middle/CmiiEmqxTemplate.go" beforeDir="false" afterPath="$PROJECT_DIR$/agent-deploy/c_middle/CmiiEmqxTemplate.go" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/agent-deploy/c_middle/CmiiRedisTemplate.go" beforeDir="false" afterPath="$PROJECT_DIR$/agent-deploy/c_middle/CmiiRedisTemplate.go" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/agent-deploy/d_app/CmiiImageConfig.go" beforeDir="false" afterPath="$PROJECT_DIR$/agent-deploy/d_app/CmiiImageConfig.go" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/agent-operator/CmiiDeployOperator_test.go" beforeDir="false" afterPath="$PROJECT_DIR$/agent-operator/CmiiDeployOperator_test.go" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/agent-operator/CmiiImageSyncOperator_test.go" beforeDir="false" afterPath="$PROJECT_DIR$/agent-operator/CmiiImageSyncOperator_test.go" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/agent-wdd/build/agent-wdd_linux_amd64" beforeDir="false" afterPath="$PROJECT_DIR$/agent-wdd/build/agent-wdd_linux_amd64" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Go File" />
      </list>
    </option>
  </component>
  <component name="GOROOT" url="file://$PROJECT_DIR$/../../../../../Program Files/Go" />
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="KubernetesApiPersistence">{}</component>
  <component name="KubernetesApiProvider">{
  &quot;configuredContexts&quot;: [
    {
      &quot;name&quot;: &quot;cmii-dev-cluster&quot;,
      &quot;kubeConfigUrl&quot;: &quot;file://C:/Users/wddsh/Documents/IdeaProjects/ProjectOctopus/agent-operator/config/cmii-dev-cluster.yaml&quot;
    },
    {
      &quot;name&quot;: &quot;cmii-dev-cluster&quot;,
      &quot;kubeConfigUrl&quot;: &quot;file://C:/Users/wddsh/.kube/config&quot;
    }
  ],
  &quot;isMigrated&quot;: true
}</component>
  <component name="ProjectColorInfo">{
  &quot;customColor&quot;: &quot;&quot;,
  &quot;associatedIndex&quot;: 3
}</component>
  <component name="ProjectId" id="2uuBaTDiig9pNF3K97SuvZFPJpc" />
  <component name="ProjectLevelVcsManager">
    <ConfirmationsSetting value="2" id="Add" />
  </component>
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent"><![CDATA[{
  "keyToString": {
    "DefaultGoTemplateProperty": "Go File",
    "Go Build.agent-wdd运行.executor": "Run",
    "Go Build.go build agent-wdd.executor": "Run",
    "Go Test.3580-cmii镜像.executor": "Run",
    "Go Test.DCU-CMII.executor": "Run",
    "Go Test.DCU-RKE-35.80.executor": "Run",
    "Go Test.DCU-中间件.executor": "Run",
    "Go Test.DCU全部CMII镜像.executor": "Run",
    "Go Test.TestCmiiEnvDeploy_WddSuperCluster in wdd.io/agent-operator (1).executor": "Run",
    "Go Test.TestCmiiEnvDeploy_WddSuperCluster in wdd.io/agent-operator.executor": "Run",
    "Go Test.TestCmiiEnvDeploy_XiongAnJianGuanPingTai in wdd.io/agent-operator.executor": "Run",
    "Go Test.TestCmiiEnvDeploy_XiongAnKongNengYuan in wdd.io/agent-operator.executor": "Run",
    "Go Test.TestCmiiEnvDeploy_ZhejiangErjiPingTai in wdd.io/agent-operator.executor": "Run",
    "Go Test.TestHarborOperator_ArtifactListAll in wdd.io/agent-operator/image (1).executor": "Run",
    "Go Test.TestHarborOperator_ArtifactListAll in wdd.io/agent-operator/image.executor": "Run",
    "Go Test.TestHarborOperator_RepoListAll in wdd.io/agent-operator/image.executor": "Run",
    "Go Test.查询可删除Tag3580.executor": "Run",
    "Go Test.清理CMII镜像-35.80.executor": "Run",
    "Go Test.院内Harbor清理-35.80.executor": "Run",
    "PowerShell.one-build-and-upload.ps1 (1).executor": "Run",
    "PowerShell.one-build-and-upload.ps1.executor": "Run",
    "RunOnceActivity.ShowReadmeOnStart": "true",
    "RunOnceActivity.git.unshallow": "true",
    "RunOnceActivity.go.formatter.settings.were.checked": "true",
    "RunOnceActivity.go.migrated.go.modules.settings": "true",
    "RunOnceActivity.typescript.service.memoryLimit.init": "true",
    "git-widget-placeholder": "main",
    "go.import.settings.migrated": "true",
    "last_opened_file_path": "C:/Users/wddsh/Documents/IdeaProjects/WddSuperAgent/agent-common/SplitProject/监管平台-Doris-k8s",
    "node.js.detected.package.eslint": "true",
    "node.js.detected.package.tslint": "true",
    "node.js.selected.package.eslint": "(autodetect)",
    "node.js.selected.package.tslint": "(autodetect)",
    "nodejs_package_manager_path": "npm",
    "settings.editor.selected.configurable": "Errors",
    "vue.rearranger.settings.migration": "true"
  }
}]]></component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="C:\Users\wddsh\Documents\IdeaProjects\WddSuperAgent\agent-common\SplitProject\监管平台-Doris-k8s" />
      <recent name="C:\Users\wddsh\Documents\IdeaProjects\WddSuperAgent\agent-common\real_project" />
      <recent name="C:\Users\wddsh\Documents\IdeaProjects\WddSuperAgent\agent-common\real_project\pre_pro" />
    </key>
  </component>
  <component name="RunManager" selected="Go Test.DCU-CMII-35.80">
    <configuration name="one-build-and-upload.ps1 (1)" type="PowerShellRunType" factoryName="PowerShell" temporary="true" scriptUrl="$PROJECT_DIR$/agent-wdd/a_run/one-build-and-upload.ps1" executablePath="$PROJECT_DIR$/../../../../../Windows/System32/WindowsPowerShell/v1.0/powershell.exe">
      <envs />
      <method v="2" />
    </configuration>
    <configuration name="one-build-and-upload.ps1 (1)" type="PowerShellRunType" factoryName="PowerShell" temporary="true" scriptUrl="$PROJECT_DIR$/agent-wdd/a_run/one-build-and-upload.ps1" executablePath="$PROJECT_DIR$/../../../../../Windows/System32/WindowsPowerShell/v1.0/powershell.exe">
      <envs />
      <method v="2" />
    </configuration>
    <configuration name="one-build-and-upload.ps1" type="PowerShellRunType" factoryName="PowerShell" temporary="true" scriptUrl="$PROJECT_DIR$/agent-wdd/a_run/one-build-and-upload.ps1" executablePath="$PROJECT_DIR$/../../../../../Windows/System32/WindowsPowerShell/v1.0/powershell.exe">
      <envs />
      <method v="2" />
    </configuration>
    <configuration name="one-build-and-upload.ps1" type="PowerShellRunType" factoryName="PowerShell" temporary="true" scriptUrl="$PROJECT_DIR$/agent-wdd/a_run/one-build-and-upload.ps1" executablePath="$PROJECT_DIR$/../../../../../Windows/System32/WindowsPowerShell/v1.0/powershell.exe">
      <envs />
      <method v="2" />
    </configuration>
    <configuration name="one-build-and-upload.ps1" type="PowerShellRunType" factoryName="PowerShell" temporary="true" scriptUrl="$PROJECT_DIR$/agent-wdd/a_run/one-build-and-upload.ps1" executablePath="$PROJECT_DIR$/../../../../../Windows/System32/WindowsPowerShell/v1.0/powershell.exe">
      <envs />
      <method v="2" />
    </configuration>
    <list>
      <item itemvalue="Go Build.agent-wdd运行" />
      <item itemvalue="Go Test.DCU-中间件-35.80" />
      <item itemvalue="Go Test.DCU-RKE-35.80" />
      <item itemvalue="Go Test.DCU-CMII-35.80" />
      <item itemvalue="Go Test.院内Harbor清理-35.80" />
      <item itemvalue="Go Test.查询可删除Tag3580" />
      <item itemvalue="Go Test.清理CMII镜像-35.80" />
      <item itemvalue="Go Test.CMII镜像同步-11.8-ARM" />
      <item itemvalue="PowerShell.one-build-and-upload.ps1" />
      <item itemvalue="PowerShell.one-build-and-upload.ps1 (1)" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="PowerShell.one-build-and-upload.ps1" />
      </list>
    </recent_temporary>
  </component>
  <component name="SharedIndexes">
    <attachedChunks>
      <set>
        <option value="bundled-jdk-30f59d01ecdd-26cb7f24e5b0-intellij.indexing.shared.core-IU-253.29346.240" />
        <option value="bundled-js-predefined-d6986cc7102b-9b0f141eb926-JavaScript-IU-253.29346.240" />
      </set>
    </attachedChunks>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="6047a167-18d5-4f8e-a170-63c3fd101bda" name="Changes" comment="" />
      <created>1743088643405</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1743088643405</updated>
      <workItem from="1743088645374" duration="2622000" />
      <workItem from="1743124314153" duration="96000" />
      <workItem from="1743124481375" duration="283000" />
      <workItem from="1743262863451" duration="47000" />
      <workItem from="1743581058604" duration="1557000" />
      <workItem from="1743660929675" duration="15000" />
      <workItem from="1744078448570" duration="1026000" />
      <workItem from="1744166614545" duration="641000" />
      <workItem from="1744177926783" duration="1168000" />
      <workItem from="1744179364332" duration="2422000" />
      <workItem from="1744253172154" duration="3557000" />
      <workItem from="1744333937704" duration="3045000" />
      <workItem from="1744615572005" duration="229000" />
      <workItem from="1744615876480" duration="4667000" />
      <workItem from="1744681217960" duration="12000" />
      <workItem from="1745227712977" duration="838000" />
      <workItem from="1745376726315" duration="27000" />
      <workItem from="1745376769276" duration="457000" />
      <workItem from="1745740575508" duration="5000" />
      <workItem from="1747106841546" duration="4742000" />
      <workItem from="1747206840947" duration="38000" />
      <workItem from="1747276385360" duration="2603000" />
      <workItem from="1748337837958" duration="1855000" />
      <workItem from="1748352349432" duration="594000" />
      <workItem from="1748397132786" duration="34000" />
      <workItem from="1748415082105" duration="3406000" />
      <workItem from="1748420016365" duration="2114000" />
      <workItem from="1748482509278" duration="4000" />
      <workItem from="1748483987055" duration="609000" />
      <workItem from="1748500537206" duration="6324000" />
      <workItem from="1748509376199" duration="799000" />
      <workItem from="1751269725047" duration="785000" />
      <workItem from="1752027052651" duration="18000" />
      <workItem from="1752138340579" duration="1734000" />
      <workItem from="1752201536829" duration="365000" />
      <workItem from="1754357425509" duration="653000" />
      <workItem from="1754358386723" duration="1001000" />
      <workItem from="1754359502980" duration="85000" />
      <workItem from="1754359596997" duration="5769000" />
      <workItem from="1754444974448" duration="1322000" />
      <workItem from="1754547605211" duration="5887000" />
      <workItem from="1754633014702" duration="3938000" />
      <workItem from="1754744992224" duration="22000" />
      <workItem from="1755153521569" duration="1322000" />
      <workItem from="1755654329436" duration="706000" />
      <workItem from="1755757750312" duration="4000" />
      <workItem from="1755951872112" duration="12000" />
      <workItem from="1756717360028" duration="47000" />
      <workItem from="1756776655024" duration="143000" />
      <workItem from="1756776860475" duration="15000" />
      <workItem from="1756779930526" duration="735000" />
      <workItem from="1756784099308" duration="11000" />
      <workItem from="1756793569519" duration="1005000" />
      <workItem from="1756794943689" duration="67000" />
      <workItem from="1760519142727" duration="5367000" />
      <workItem from="1760580095478" duration="5626000" />
      <workItem from="1760667940695" duration="6000" />
      <workItem from="1760686144196" duration="1952000" />
      <workItem from="1760689518309" duration="1235000" />
      <workItem from="1760849473290" duration="4000" />
      <workItem from="1762225804520" duration="7913000" />
      <workItem from="1762323414681" duration="29000" />
      <workItem from="1762324079620" duration="8508000" />
      <workItem from="1762480815262" duration="464000" />
      <workItem from="1762481666180" duration="2275000" />
      <workItem from="1762761070202" duration="5077000" />
      <workItem from="1763951884672" duration="210000" />
      <workItem from="1764571049911" duration="299000" />
      <workItem from="1765026295225" duration="1612000" />
      <workItem from="1765195480348" duration="861000" />
      <workItem from="1765196757955" duration="1945000" />
      <workItem from="1765203811685" duration="377000" />
      <workItem from="1765241810327" duration="7000" />
      <workItem from="1765414605407" duration="519000" />
      <workItem from="1765417702058" duration="755000" />
      <workItem from="1768354421874" duration="855000" />
      <workItem from="1768533071730" duration="8176000" />
      <workItem from="1768550158073" duration="4174000" />
      <workItem from="1768785685963" duration="596000" />
      <workItem from="1768788634424" duration="1474000" />
      <workItem from="1768790433453" duration="1946000" />
      <workItem from="1768794675745" duration="2424000" />
    </task>
    <task id="LOCAL-00001" summary="git">
      <option name="closed" value="true" />
      <created>1743124655007</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1743124655007</updated>
    </task>
    <task id="LOCAL-00002" summary="uas-agent yaml">
      <option name="closed" value="true" />
      <created>1747276548488</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1747276548488</updated>
    </task>
    <task id="LOCAL-00003" summary="新增xa空能院项目，新增大量的更新内容">
      <option name="closed" value="true" />
      <created>1762332282382</created>
      <option name="number" value="00003" />
      <option name="presentableId" value="LOCAL-00003" />
      <option name="project" value="LOCAL" />
      <updated>1762332282382</updated>
    </task>
    <task id="LOCAL-00004" summary="升级EMQX的版本为5.8.8">
      <option name="closed" value="true" />
      <created>1765204179190</created>
      <option name="number" value="00004" />
      <option name="presentableId" value="LOCAL-00004" />
      <option name="project" value="LOCAL" />
      <updated>1765204179190</updated>
    </task>
    <task id="LOCAL-00005" summary="优化镜像同步的内容">
      <option name="closed" value="true" />
      <created>1768788677741</created>
      <option name="number" value="00005" />
      <option name="presentableId" value="LOCAL-00005" />
      <option name="project" value="LOCAL" />
      <updated>1768788677741</updated>
    </task>
    <option name="localTasksCounter" value="6" />
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="git" />
    <MESSAGE value="uas-agent yaml" />
    <MESSAGE value="新增xa空能院项目，新增大量的更新内容" />
    <MESSAGE value="升级EMQX的版本为5.8.8" />
    <MESSAGE value="优化镜像同步的内容" />
    <option name="LAST_COMMIT_MESSAGE" value="优化镜像同步的内容" />
  </component>
  <component name="XSLT-Support.FileAssociations.UIState">
    <expand />
    <select />
  </component>
</project>